Skip to main content
POST
/
open
/
agentic_doc_processor
/
{tenant_name}
/
v1
/
app
/
doc
/
extract
/
create
/
task
Create document extraction task
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    app_id: '<string>',
    file_base64: '<string>',
    file_url: '<string>',
    with_rec_result: false
  })
};

fetch('https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/create/task', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "code": "<string>",
  "message": "<string>",
  "tips": "<string>",
  "data": {
    "task_id": "<string>"
  }
}

Authorizations

X-API-KEY
string
header
required

Headers

accept-language
enum<string>
default:en

Field name language. Use zh for Chinese or en for English.

Available options:
zh,
en

Path Parameters

tenant_name
string
default:laiye
required

Tenant name. Default: laiye.

Body

application/json
app_id
string
required
file_base64
string
required
file_url
string<uri>
with_rec_result
boolean
default:false

Response

Task creation result.

code
message
string
tips
string | null
data
object